## tasksh 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required

include (CheckFunctionExists)
include (CheckStructHasMember)

set (HAVE_CMAKE true)

project (tasksh)
set (PROJECT_VERSION "1.0.0")

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (LINUX true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set (DARWIN true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "kFreeBSD")
  set (KFREEBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
  set (FREEBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
  set (OPENBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
  set (NETBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
  set (SOLARIS true)
elseif (${CMAKE_SYSTEM_NAME} STREQUAL "GNU")
  set (GNUHURD true)
else (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (UNKNOWN true)
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")

if (NETBSD)
   # Since readline, etc likely to be in /usr/pkg/lib, not standard library
   # Otherwise will remove links during install
   set (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
endif (NETBSD)

if (FREEBSD)
SET (TASKSH_MAN1DIR man/man1            CACHE STRING "Installation directory for man pages, section 1")
else (FREEBSD)
SET (TASKSH_MAN1DIR share/man/man1      CACHE STRING "Installation directory for man pages, section 1")
endif (FREEBSD)
SET (TASKSH_DOCDIR  share/doc/tasksh    CACHE STRING "Installation directory for doc files")
SET (TASKSH_RCDIR "${TASKSH_DOCDIR}/rc" CACHE STRING "Installation directory for configuration files")
SET (TASKSH_BINDIR  bin                 CACHE STRING "Installation directory for the binary")

message ("-- Looking for SHA1 references")
if (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)
  set (HAVE_COMMIT true)
  execute_process (COMMAND git log -1 --pretty=format:%h
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                   OUTPUT_VARIABLE COMMIT)
  configure_file ( ${CMAKE_SOURCE_DIR}/commit.h.in
                   ${CMAKE_SOURCE_DIR}/commit.h)
  message ("-- Found SHA1 reference: ${COMMIT}")
endif (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)

set (PACKAGE "${PROJECT_NAME}")
set (VERSION "${PROJECT_VERSION}")
set (PACKAGE_BUGREPORT "support@taskwarrior.org")
set (PACKAGE_NAME "${PACKAGE}")
set (PACKAGE_TARNAME "${PACKAGE}")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_STRING "${PACKAGE} ${VERSION}")

message ("-- Looking for pthread")
find_package (Threads)
if (THREADS_FOUND)
  set (HAVE_LIBPTHREAD true)
  set (TASKD_INCLUDE_DIRS ${TASKD_INCLUDE_DIRS} ${THREADS_INCLUDE_DIR})
  set (TASKD_LIBRARIES    ${TASKD_LIBRARIES}    ${THREADS_LIBRARIES})
endif (THREADS_FOUND)

# include the readline library finder module
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules")

# find readline
message ("-- Looking for GNU Readline")
find_package (Readline REQUIRED)
if (READLINE_FOUND)
  set (HAVE_READLINE true)
  set (TASKSH_INCLUDE_DIRS ${TASKSH_INCLUDE_DIRS} ${READLINE_INCLUDE_DIR})
  set (TASKSH_LIBRARIES    ${TASKSH_LIBRARIES}    ${READLINE_LIBRARIES})
endif (READLINE_FOUND)

# Set the package language.
if (LANGUAGE)
  set (PACKAGE_LANGUAGE ${LANGUAGE})
else (LANGUAGE)
  set (PACKAGE_LANGUAGE 1)
endif (LANGUAGE)

set (LANGUAGE_ENG_USA 1)

message ("-- Configuring cmake.h")
configure_file (
  ${CMAKE_SOURCE_DIR}/cmake.h.in
  ${CMAKE_SOURCE_DIR}/cmake.h)

add_subdirectory (src)
add_subdirectory (doc)
if (EXISTS ${CMAKE_SOURCE_DIR}/test)
  add_subdirectory (test EXCLUDE_FROM_ALL)
endif (EXISTS ${CMAKE_SOURCE_DIR}/test)

set (doc_FILES NEWS ChangeLog README.md INSTALL AUTHORS COPYING)
foreach (doc_FILE ${doc_FILES})
  install (FILES ${doc_FILE}  DESTINATION ${TASKSH_DOCDIR})
endforeach (doc_FILE)

# ---

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
                                "_CPack_Packages" "cmake_install" "install_manifest" "Makefile$"
                                "test" "package-config" "misc/*" "src/tasksh$"
                                "/\\.gitignore" "/\\.git/" "swp$")
include (CPack)

=== src/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${TASKSH_INCLUDE_DIRS})

set (tasksh_SRCS diag.cpp
                 help.cpp
                 prompt.cpp
                 Color.cpp Color.h
                 Path.cpp Path.h
                 File.cpp File.h
                 Directory.cpp Directory.h
                 text.cpp  text.h)

add_executable (tasksh_executable main.cpp ${tasksh_SRCS})
target_link_libraries (tasksh_executable ${TASKSH_LIBRARIES})

set_property (TARGET tasksh_executable PROPERTY OUTPUT_NAME "tasksh")

install (TARGETS tasksh_executable DESTINATION ${TASKSH_BINDIR})

=== debian/changelog ===
tasksh (1.0.0-3) unstable; urgency=medium

  * Add patch to define PATH_MAX if not defined (Closes: #829626)

 -- Iain R. Learmonth <irl@debian.org>  Mon, 25 Jul 2016 18:21:52 +0100

tasksh (1.0.0-2) unstable; urgency=medium

  * debian/control:
   - Add dependency on taskwarrior.
   - Add Breaks+Replaces for taskwarrior (<< 2.4.0) which previously shipped
     tasksh.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 05 Jul 2016 11:09:13 +0100

tasksh (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #828692)

 -- Iain R. Learmonth <irl@debian.org>  Sun, 03 Jul 2016 16:20:37 +0100

=== debian/control ===
Source: tasksh
Section: utils
Priority: optional
Maintainer: Debian Tasktools Packaging Team <pkg-tasktools-discuss@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/tasksh.git
Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/tasksh.git
Homepage: http://tasktools.org/projects/tasksh.html

Package: tasksh
Architecture: any
Breaks: taskwarrior (<< 2.4.0)
Replaces: taskwarrior (<< 2.4.0)
Depends: ${shlibs:Depends}, ${misc:Depends}, taskwarrior
Description: shell command that wraps Taskwarrior commands
 Tasksh is a shell command that wraps Taskwarrior commands. It is
 intended to provide simpler Taskwarrior access, and add a few new
 features of its own.
 .
 Tasksh replaces the built-in shell command of older releases, and the
 bundled tasksh program of version 2.3.0.

## tasksh 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
set (CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
set (HAVE_CMAKE true)

project (tasksh)
include (CXXSniffer)

set (PROJECT_VERSION "1.1.0")

include (CheckFunctionExists)
include (CheckStructHasMember)
include (CheckCXXCompilerFlag)

message ("-- Looking for SHA1 references")
if (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)
  set (HAVE_COMMIT true)
  execute_process (COMMAND git log -1 --pretty=format:%h
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                   OUTPUT_VARIABLE COMMIT)
  configure_file ( ${CMAKE_SOURCE_DIR}/commit.h.in
                   ${CMAKE_SOURCE_DIR}/commit.h)
  message ("-- Found SHA1 reference: ${COMMIT}")
endif (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)

set (PACKAGE "${PROJECT_NAME}")
set (VERSION "${PROJECT_VERSION}")
set (PACKAGE_BUGREPORT "support@taskwarrior.org")
set (PACKAGE_NAME "${PACKAGE}")
set (PACKAGE_TARNAME "${PACKAGE}")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_STRING "${PACKAGE} ${VERSION}")

if (FREEBSD)
SET (TASKSH_MAN1DIR man/man1            CACHE STRING "Installation directory for man pages, section 1")
else (FREEBSD)
SET (TASKSH_MAN1DIR share/man/man1      CACHE STRING "Installation directory for man pages, section 1")
endif (FREEBSD)
SET (TASKSH_DOCDIR  share/doc/tasksh    CACHE STRING "Installation directory for doc files")
SET (TASKSH_RCDIR "${TASKSH_DOCDIR}/rc" CACHE STRING "Installation directory for configuration files")
SET (TASKSH_BINDIR  bin                 CACHE STRING "Installation directory for the binary")

# include the readline library finder module
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules")

# find readline
message ("-- Looking for GNU Readline")
find_package (Readline REQUIRED)
if (READLINE_FOUND)
  set (HAVE_READLINE true)
  set (TASKSH_INCLUDE_DIRS ${TASKSH_INCLUDE_DIRS} ${READLINE_INCLUDE_DIR})
  set (TASKSH_LIBRARIES    ${TASKSH_LIBRARIES}    ${READLINE_LIBRARIES})
endif (READLINE_FOUND)

message ("-- Configuring cmake.h")
configure_file (
  ${CMAKE_SOURCE_DIR}/cmake.h.in
  ${CMAKE_SOURCE_DIR}/cmake.h)

add_subdirectory (src)
add_subdirectory (doc)
if (EXISTS ${CMAKE_SOURCE_DIR}/test)
  add_subdirectory (test EXCLUDE_FROM_ALL)
endif (EXISTS ${CMAKE_SOURCE_DIR}/test)

set (doc_FILES NEWS ChangeLog README.md INSTALL AUTHORS COPYING)
foreach (doc_FILE ${doc_FILES})
  install (FILES ${doc_FILE}  DESTINATION ${TASKSH_DOCDIR})
endforeach (doc_FILE)

# ---

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
                                "_CPack_Packages" "cmake_install" "install_manifest" "Makefile$"
                                "test" "package-config" "misc/*" "src/tasksh$" "README.md"
                                "/\\\\.gitignore" "/\\\\.git/" "swp$")
include (CPack)

=== debian/changelog ===
tasksh (1.1.0-2) unstable; urgency=medium

  * Adds Build-Depends on libreadline to enable support.

 -- Iain R. Learmonth <irl@debian.org>  Mon, 05 Sep 2016 21:39:59 +0100

tasksh (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.

 -- Iain R. Learmonth <irl@debian.org>  Mon, 05 Sep 2016 20:41:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Tasktools Packaging Team <pkg-tasktools-discuss@lists.alioth.debian.org>
 Uploaders: Iain R. Learmonth <irl@debian.org>
-Build-Depends: debhelper (>= 9), cmake
+Build-Depends: debhelper (>= 9), cmake, libreadline-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/tasksh.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/tasksh.git

## tasksh 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project (tasksh)
 include (CXXSniffer)
 
-set (PROJECT_VERSION "1.1.0")
+set (PROJECT_VERSION "1.2.0")
 
 include (CheckFunctionExists)
 include (CheckStructHasMember)
@@ -63,7 +63,7 @@
   add_subdirectory (test EXCLUDE_FROM_ALL)
 endif (EXISTS ${CMAKE_SOURCE_DIR}/test)
 
-set (doc_FILES NEWS ChangeLog README.md INSTALL AUTHORS COPYING)
+set (doc_FILES NEWS ChangeLog INSTALL AUTHORS COPYING)
 foreach (doc_FILE ${doc_FILES})
   install (FILES ${doc_FILE}  DESTINATION ${TASKSH_DOCDIR})
 endforeach (doc_FILE)

=== doc/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
message ("-- Configuring man pages")
set (man_FILES tasksh.1)
foreach (man_FILE ${man_FILES})
  configure_file (
    man/${man_FILE}.in
    man/${man_FILE})
endforeach (man_FILE)

install (DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man/   DESTINATION ${TASKSH_MAN1DIR}
                                                      FILES_MATCHING PATTERN "*.1")

=== src/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}/src/libshared/src
                     ${TASKSH_INCLUDE_DIRS})

set (tasksh_SRCS diag.cpp
                 help.cpp
                 prompt.cpp
                 review.cpp
                 shell.cpp)

set (libshared_SRCS libshared/src/Color.cpp         libshared/src/Color.h
                    libshared/src/Datetime.cpp      libshared/src/Datetime.h
                    libshared/src/Duration.cpp      libshared/src/Duration.h
                    libshared/src/FS.cpp            libshared/src/FS.h
                    libshared/src/Lexer.cpp         libshared/src/Lexer.h
                    libshared/src/Pig.cpp           libshared/src/Pig.h
                    libshared/src/shared.cpp        libshared/src/shared.h
                    libshared/src/format.cpp        libshared/src/format.h
                    libshared/src/unicode.cpp       libshared/src/unicode.h
                    libshared/src/utf8.cpp          libshared/src/utf8.h
                    libshared/src/wcwidth6.cpp)

add_library (tasksh    STATIC ${tasksh_SRCS})
add_library (libshared STATIC ${libshared_SRCS})
add_executable (tasksh_executable main.cpp)

target_link_libraries (tasksh_executable tasksh libshared ${TASKSH_LIBRARIES})

set_property (TARGET tasksh_executable PROPERTY OUTPUT_NAME "tasksh")

install (TARGETS tasksh_executable DESTINATION ${TASKSH_BINDIR})

=== debian/changelog ===
tasksh (1.2.0-3) unstable; urgency=medium

  * QA upload.

  [ Santiago Vila ]
  * Fix clean target in a more simple way

  [ Andreas Tille ]
  * Maintain in Debian QA Group since there is no human maintainer

 -- Andreas Tille <tille@debian.org>  Fri, 26 Dec 2025 14:12:14 +0100

tasksh (1.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Remove MIA uploaders

  [ Andreas Tille ]
  * Fix watch file
  * Fix Vcs fields
  * d/copyright: Fix Source location
  * d/rules: Fix clean target
    Closes: #1046804
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Dec 2025 07:46:51 +0100

tasksh (1.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113559)
  * debian/control: Update Homepage.

 -- Adrian Bunk <bunk@debian.org>  Sun, 30 Nov 2025 05:55:16 +0200

tasksh (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.0
  * d/compat: Bump compat. version to 10
  * d/control:
    + Use HTTPS for homepage URL
    + Bump Standard-Version to 4.0.0 (no changes needed)
  * d/patches: Refresh Debian patches

 -- Sebastien Badia <sbadia@debian.org>  Sun, 02 Jul 2017 13:06:44 +0200

=== debian/control ===
Source: tasksh
Section: utils
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libreadline-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/tasktools-team/tasksh
Vcs-Git: https://salsa.debian.org/tasktools-team/tasksh.git
Homepage: https://taskwarrior.org/

Package: tasksh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, taskwarrior
Description: shell command that wraps Taskwarrior commands
 Tasksh is a shell command that wraps Taskwarrior commands. It is
 intended to provide simpler Taskwarrior access, and add a few new
 features of its own.
 .
 Tasksh replaces the built-in shell command of older releases, and the
 bundled tasksh program of version 2.3.0.

=== debian/watch ===
Version: 5

Template: Github
Owner: GothenburgBitFactory
Project: taskshell
